## psqlodbc 09.03.0210

=== test/Makefile ===
TESTS = connect stmthandles select commands multistmt getresult prepare \
	params notice arraybinding insertreturning dataatexecution \
	boolsaschar cvtnulldate alter quotes cursors positioned-update \
	catalogfunctions bindcol lfconversion cte

TESTBINS = $(patsubst %,src/%-test, $(TESTS))
TESTSQLS = $(patsubst %,sql/%.sql, $(TESTS))

REGRESS = sampletables $(TESTS)

all: $(TESTBINS) $(TESTSQLS)

installcheck: all

override CFLAGS += -Wno-pointer-sign

src/common.o: src/common.c

# For each test file, compile the .c file, and create a .sql file that
# when executed from psql, just runs the binary.
src/%-test sql/%.sql: src/%-test.c src/common.o
	$(CC) $(CFLAGS) src/$*-test.c src/common.o -o src/$*-test -lodbc
	echo "\! ./src/$*-test" > sql/$*.sql

EXTRA_CLEAN = $(TESTBINS) $(TESTSQLS) src/common.o

REGRESS_OPTS = --launcher=./launcher

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## psqlodbc 09.00.0310

=== debian/changelog ===
psqlodbc (1:09.00.0310-1) unstable; urgency=low

  * New upstream release.
  * Empty dependency_libs fields in our .la files.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Jul 2011 08:39:43 +0200

psqlodbc (1:09.00.0300-1) unstable; urgency=low

  * New upstream release.
  * Add odbc-postgresql-dbg debug package.  Closes: #592736.

 -- Christoph Berg <myon@debian.org>  Tue, 31 May 2011 15:47:36 +0200

psqlodbc (1:09.00.0200-2) unstable; urgency=low

  * Section: database.
  * Install driver definition to /etc/odbcinst.ini.  Closes: #374197.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2011 15:13:24 +0200

psqlodbc (1:09.00.0200-1) unstable; urgency=low

  * New upstream release.
  * Fix installing {A,W}/usr/lib/odbc.  Closes: #618210.
  * Convert to 3.0 (quilt).
  * Remove psqlodbc-580878.diff: implemented upstream.
  * Remove psqlodbc-585476.diff: was caused by #519006 which is now closed.
  * Update description, suggested by Martin Eberhard Schauer.
    Closes: #565611.
  * New maintainer.  Closes: #472818.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2011 14:48:23 +0200

psqlodbc (1:08.03.0200-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/psqlodbc-585476.diff: use freeaddrinfo, getaddrinfo,
    getnameinfo directly instead of via function pointers, to work around
    a toolchain bug on mips and mipsel.  Closes: #585476.

 -- Steve Langasek <vorlon@debian.org>  Fri, 11 Jun 2010 05:54:04 +0000

psqlodbc (1:08.03.0200-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Drop psqlodbc-358949.diff completely, since it causes a build failure
    with the latest unixodbc now that SQLROWOFFSET is obsolete.
    Closes: #582988.
  * debian/patches/psqlodbc-580878.diff: don't use SQLROWSETSIZE, also
    obsoleted.  Closes: #580878.
  * Fix debian/rules support for building multiple flavors to be compatible
    with recent cdbs.  Thanks to Julien Cristau for the patch.
    Closes: #564399.

 -- Steve Langasek <vorlon@debian.org>  Tue, 08 Jun 2010 06:48:02 +0000

psqlodbc (1:08.03.0200-1) unstable; urgency=low

  * New upstream release
    - Disables some broken code (closes: #396218)
    - Obsoletes psqlodbc-413534.diff and most of psqlodbc-358949.diff

 -- Peter Eisentraut <petere@debian.org>  Fri, 09 May 2008 10:40:32 +0200

psqlodbc (1:08.01.0200-3) unstable; urgency=low

  * Added Homepage control field
  * Updated standards version
  * Added Vcs-* control fields

 -- Peter Eisentraut <petere@debian.org>  Wed, 26 Mar 2008 11:59:18 +0100

psqlodbc (1:08.01.0200-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix the signature of SQLGetData on 64-bit architectures.

 -- Steve Langasek <vorlon@debian.org>  Mon,  5 Mar 2007 22:28:19 -0800

psqlodbc (1:08.01.0200-2) unstable; urgency=low

  * Fix to build on 64-bit architectures (closes: #358949)
    (patch by Steve Langasek)

 -- Peter Eisentraut <petere@debian.org>  Mon, 10 Apr 2006 13:58:05 +0200

psqlodbc (1:08.01.0200-1) unstable; urgency=low

  * New upstream release
  * Fixed watch file
  * Updated download location
  * Changed build system to build ANSI and Unicode variants; odbcinst
    template changed accordingly
  * Dropped legacy driver location /usr/lib/postgresql/lib
  * Updated README.Debian

 -- Peter Eisentraut <petere@debian.org>  Wed, 22 Feb 2006 15:11:00 +0100

psqlodbc (1:08.01.0102-1) unstable; urgency=low

  * New upstream release
  * Changed to debhelper level 5
  * Removed old FSF address from copyright file
  * Installed new documentation

 -- Peter Eisentraut <petere@debian.org>  Mon, 16 Jan 2006 19:17:55 +0100

psqlodbc (1:08.01.0005-1) experimental; urgency=low

  * New upstream version
    - Includes IPv6 support (closes: #312983)
  * Updated standards version
  * Changed watch file to track snapshot releases
  * Added build dependency on libpq-dev

 -- Peter Eisentraut <petere@debian.org>  Thu, 20 Oct 2005 11:48:42 +0200

psqlodbc (1:08.00.0101-2) unstable; urgency=low

  * First upload of this upstream version to unstable (closes: #292311)
  * Changed maintainer address
  * Revised README.Debian

 -- Peter Eisentraut <petere@debian.org>  Wed,  1 Jun 2005 15:49:19 +0200

psqlodbc (1:08.00.0101-1) experimental; urgency=low

  * New upstream release (closes: #292311)
    - Obsoletes patches 10_psqlodbc-makestring, 20_psqlodbc-64bit
  * Converted to CDBS

 -- Peter Eisentraut <peter_e@gmx.net>  Tue, 22 Mar 2005 12:38:48 +0100

psqlodbc (1:07.03.0200-5) unstable; urgency=low

  * Corrected license to old LGPL 2
  * Big debian/rules modernization
  * Moved odbc.ini.template to examples directory
  * Converted to dpatch
  * Added update of config.{guess,sub}
  * Renamed unixodbc.HOWTO to README.Debian; revised
  * Moved installation to /usr/lib/odbc; added symlink to old location
    for compatibility
  * Dropped postgresql-dev dependency

 -- Peter Eisentraut <peter_e@gmx.net>  Sun, 14 Nov 2004 16:12:31 +0100

psqlodbc (1:07.03.0200-4) unstable; urgency=low

  * New maintainer (closes: #228073)
  * Removed suggestion of libiodbc2, because this driver is unixODBC
    only at this time; upgraded unixodbc to recommendation
  * Removed suggestion of postgresql, because clients don't need to
    suggest their servers
  * Revised description (closes: #252686)
  * Fixed several misguided assumptions that sizeof(long)==4; based
    on patch installed upstream on 2004-07-01 (closes: #254847)
  * Added watch file

 -- Peter Eisentraut <peter_e@gmx.net>  Sun, 11 Jul 2004 10:38:13 +0200

psqlodbc (1:07.03.0200-3) unstable; urgency=high

  * urgency high since this is a security related bug and no other changes
    were made
  * misc.c: added target buffer size parameter to make_string() to prevent
    buffer overflows and corrected all calls to it (closes: #247306)

 -- Martin Pitt <mpitt@debian.org>  Thu, 13 May 2004 10:47:36 +0200

psqlodbc (1:07.03.0200-2) unstable; urgency=high



=== debian/control ===
Source: psqlodbc
Priority: optional
Section: database
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: cdbs (>= 0.4.37), debhelper (>= 7), libpq-dev, unixodbc-dev (>= 2.2.11-13)
Standards-Version: 3.9.2
Homepage: http://psqlodbc.projects.postgresql.org/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/psqlodbc/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/psqlodbc/

Package: odbc-postgresql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: unixodbc-bin
Enhances: unixodbc
Description: ODBC driver for PostgreSQL
 This package provides a driver that allows ODBC-enabled applications to
 access PostgreSQL databases.  ODBC is an abstraction layer that allows
 applications written for that layer to access databases in a manner
 that is relatively independent of the particular database management
 system.
 .
 You need to install this package if you want to use an application that
 provides database access through ODBC and you want that application to
 access a PostgreSQL database.  This package would need to be installed
 on the same machine as that client application; the PostgreSQL database
 server can be on a different machine and does not need any additional
 software to accept ODBC clients.
 .
 If you want to write software that can access a database through the
 ODBC abstraction layer, you need to install the unixODBC driver manager
 development package unixodbc-dev, and possibly additional packages for
 language bindings.  This driver package is only used at run time.

Package: odbc-postgresql-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, odbc-postgresql
Description: ODBC driver for PostgreSQL - debug symbols
 odbc-postgresql provides a driver that allows ODBC-enabled applications
 to access PostgreSQL databases.  ODBC is an abstraction layer that
 allows applications written for that layer to access databases in a
 manner that is relatively independent of the particular database
 management system.
 .
 This package contains the debug symbols for odbc-postgresql.

=== debian/rules ===
#!/usr/bin/make -f

tempdir = debian/temp
# (not debian/tmp, which dh_clean removes too automatically)

DEB_MAKE_FLAVORS = A W
DEB_BUILDDIR = build
DEB_DESTDIR = $(CURDIR)/$(tempdir)
DEB_DH_INSTALL_SOURCEDIR = $(tempdir)

clean::
	rm -rf $(tempdir)

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS = --libdir=/usr/lib/odbc --with-unixodbc

pre-build::
	chmod a+x $(CURDIR)/debian/odbc_config_dummy

DEB_CONFIGURE_EXTRA_FLAGS += ODBC_CONFIG='$(CURDIR)/debian/odbc_config_dummy'

DEB_CONFIGURE_EXTRA_FLAGS_A = --disable-unicode
DEB_CONFIGURE_EXTRA_FLAGS += $(DEB_CONFIGURE_EXTRA_FLAGS_$(cdbs_make_curflavor))

install/odbc-postgresql::
	install -D -m 644 debian/odbcinst.ini.template $(DEB_DESTDIR)/usr/share/psqlodbc/odbcinst.ini.template
	sed -i "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/temp/?/usr/lib/odbc/*.la

## psqlodbc 09.01.0100

=== debian/changelog ===
psqlodbc (1:09.01.0100-1) unstable; urgency=low

  * New upgrade release.

 -- Christoph Berg <myon@debian.org>  Fri, 30 Dec 2011 19:09:04 +0100

psqlodbc (1:09.00.0310-2) unstable; urgency=low

  [ Christoph Berg ]
  * Don't ship .la files at all.
  * Add Steve as co-maintainer.  Thanks for the multiarch changes!
  * Delete-and-readd the odbcinst.ini sections on upgrade.

  [ Steve Langasek ]
  * Install to /usr/lib/$(DEB_HOST_MULTIARCH)/odbc.  Closes: #638806.
  * Use a relative path in odbcinst.ini.
  * Declare a Breaks: on old versions of unixodbc that won't look up relative
    filenames in the odbc directory.
  * Mark the package Multi-Arch: same.

 -- Christoph Berg <myon@debian.org>  Mon, 22 Aug 2011 14:09:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,12 @@
 
 clean::
 	rm -rf $(tempdir)
+	rm -f debian/install
 
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS = --libdir=/usr/lib/odbc --with-unixodbc
+DEB_CONFIGURE_EXTRA_FLAGS = --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/odbc --with-unixodbc
 
 pre-build::
 	chmod a+x $(CURDIR)/debian/odbc_config_dummy
@@ -26,4 +27,6 @@
 
 install/odbc-postgresql::
 	install -D -m 644 debian/odbcinst.ini.template $(DEB_DESTDIR)/usr/share/psqlodbc/odbcinst.ini.template
-	sed -i "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/temp/?/usr/lib/odbc/*.la
+	rm $(CURDIR)/debian/temp/?/usr/lib/$(DEB_HOST_MULTIARCH)/odbc/*.la
+	sed -e "s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" \
+		< debian/install.in > debian/install

## psqlodbc 09.01.0200

=== debian/changelog ===
psqlodbc (1:09.01.0200-4ubuntu1) saucy; urgency=low

  * debian/tests: Disable iodbc test and dependency, as in ubuntu iodbc and
    unixodbc are not installable in parallel, and iodbc is obsolete and should
    be removed at some point.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Jun 2013 08:05:48 +0200

psqlodbc (1:09.01.0200-4) unstable; urgency=low

  * Skip testsuite on hurd, it doesn't have a working PostgreSQL server.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jun 2013 20:32:46 -0700

psqlodbc (1:09.01.0200-3) unstable; urgency=low

  * Relax Breaks: libiodbc2 (<= 3.52.7-2) so we don't "break" the fixed wheezy
    version.

 -- Christoph Berg <myon@debian.org>  Fri, 31 May 2013 23:17:44 -0700

psqlodbc (1:09.01.0200-2) unstable; urgency=low

  * Versioned Breaks: libiodbc2 (<< 3.52.7-3~), it is multiarch-aware now.
    (Fixes co-installability with KDE, Closes: #703047.)
  * Add build-time test and autopkgtest using isql; autopkgtest will also test
    using iodbctest. (Needs pg-common >= 144 for pg_virtualenv.)

 -- Christoph Berg <myon@debian.org>  Fri, 31 May 2013 22:29:52 -0700

psqlodbc (1:09.01.0200-1) experimental; urgency=low

  * New upstream release.
  * Add lintian override for breaks-without-version libiodbc2.
  * Move packaging to git.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 03 Nov 2012 11:07:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,26 @@
 Source: psqlodbc
 Priority: optional
 Section: database
-Maintainer: Christoph Berg <myon@debian.org>
-Build-Depends: cdbs (>= 0.4.37), debhelper (>= 7), libpq-dev, unixodbc-dev (>= 2.2.11-13)
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
+Uploaders: Steve Langasek <vorlon@debian.org>
+Build-Depends: cdbs (>= 0.4.93), debhelper (>= 8.1.3), libpq-dev, unixodbc-dev (>= 2.2.11-13),
+ postgresql, postgresql-common (>= 144~)
+Standards-Version: 3.9.3
 Homepage: http://psqlodbc.projects.postgresql.org/
-Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/psqlodbc/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/psqlodbc/
+Vcs-Git: git://anonscm.debian.org/pkg-postgresql/psqlodbc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/psqlodbc.git
+XS-Testsuite: autopkgtest
 
 Package: odbc-postgresql
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: unixodbc-bin
 Enhances: unixodbc
+Breaks: unixodbc (<< 2.2.14p2-3), odbcinst1debian2 (<< 2.2.14p2-3),
+ libiodbc2 (<= 3.52.7-2)
 Description: ODBC driver for PostgreSQL
  This package provides a driver that allows ODBC-enabled applications to
  access PostgreSQL databases.  ODBC is an abstraction layer that allows
@@ -34,6 +42,7 @@
 
 Package: odbc-postgresql-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, odbc-postgresql

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 DEB_BUILDDIR = build
 DEB_DESTDIR = $(CURDIR)/$(tempdir)
 DEB_DH_INSTALL_SOURCEDIR = $(tempdir)
+DEB_BUILD_ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 clean::
 	rm -rf $(tempdir)
@@ -25,6 +26,12 @@
 DEB_CONFIGURE_EXTRA_FLAGS_A = --disable-unicode
 DEB_CONFIGURE_EXTRA_FLAGS += $(DEB_CONFIGURE_EXTRA_FLAGS_$(cdbs_make_curflavor))
 
+# there is no working PostgreSQL server on hurd, skip test
+ifneq ($(DEB_BUILD_ARCH),hurd-i386)
+build/odbc-postgresql::
+	debian/tests/buildtime
+endif
+
 install/odbc-postgresql::
 	install -D -m 644 debian/odbcinst.ini.template $(DEB_DESTDIR)/usr/share/psqlodbc/odbcinst.ini.template
 	rm $(CURDIR)/debian/temp/?/usr/lib/$(DEB_HOST_MULTIARCH)/odbc/*.la

## psqlodbc 09.02.0100

=== debian/changelog ===
psqlodbc (1:09.02.0100-2ubuntu1) trusty; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/tests: Disable iodbc test and dependency, as in Ubuntu iodbc and
      unixodbc are not installable in parallel, and iodbc is obsolete and
      should be removed at some point.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Oct 2013 07:21:55 +0200

psqlodbc (1:09.02.0100-2) unstable; urgency=low

  * Ignore iusql failure on *mips*.
  * Add patch by Hiroshi Inoue to fix failure on s390x.
  * Remove test/src/common.o on clean.
  * Support DEB_BUILD_OPTIONS=nocheck.

 -- Christoph Berg <myon@debian.org>  Thu, 13 Jun 2013 11:11:03 +0200

psqlodbc (1:09.02.0100-1) unstable; urgency=low

  * New upstream release.
  * Run make installcheck at build time.
    + Ignore iusql failure on mipsel, see #711954.
  * Add B-D: postgresql-server-dev-all. (We only need one version, though.)

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jun 2013 17:28:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
 Build-Depends: cdbs (>= 0.4.93), debhelper (>= 8.1.3), libpq-dev, unixodbc-dev (>= 2.2.11-13),
- postgresql, postgresql-common (>= 144~)
-Standards-Version: 3.9.3
+ postgresql, postgresql-common (>= 144~), postgresql-server-dev-all
+Standards-Version: 3.9.4
 Homepage: http://psqlodbc.projects.postgresql.org/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/psqlodbc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/psqlodbc.git

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,10 @@
 DEB_BUILD_ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 clean::
+	$(MAKE) -C test distclean
 	rm -rf $(tempdir)
 	rm -f debian/install
+	rm -f test/src/common.o
 
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -28,8 +30,10 @@
 
 # there is no working PostgreSQL server on hurd, skip test
 ifneq ($(DEB_BUILD_ARCH),hurd-i386)
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 build/odbc-postgresql::
 	debian/tests/buildtime
+endif
 endif
 
 install/odbc-postgresql::

=== debian/tests/control ===
Depends: @, postgresql, unixodbc
Restrictions: needs-root
Tests: isql

## psqlodbc 09.03.0210

=== debian/changelog ===
psqlodbc (1:09.03.0210-1.pgdg70+1) wheezy-pgdg; urgency=low

  * Rebuild for wheezy-pgdg (jenkins-psqlodbc-source-
    distribution=wheezy-17, git revision
    3c1c50b823046b6b05f83787fbf8275c4ec41571)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 12 Mar 2014 13:03:44 +0100

psqlodbc (1:09.03.0210-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 12 Mar 2014 13:01:24 +0100

psqlodbc (1:09.03.0100-3) unstable; urgency=medium

  * Pull another patch to fix positioned-update test failure on s390x.
    Thanks to Heikki Linnakangas for looking into this.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2014 14:57:08 +0100

psqlodbc (1:09.03.0100-2) unstable; urgency=medium

  * Pull patch from upstream to fix cursor test failures on (mostly big
    endian) systems.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2014 13:48:24 +0100

psqlodbc (1:09.03.0100-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/odbc_config_dummy to fail when passed an unknown argument;
    add --lib-prefix.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 05 Feb 2014 17:34:02 +0100

psqlodbc (1:09.02.0100-3) unstable; urgency=low

  * Replace VOID with void in test/src/dataatexecution-test.c.
  * Unixodbc 2.3.1 fixes the mips problems, unignore failures there.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Nov 2013 23:33:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	rm -rf $(tempdir)
 	rm -f debian/install
 	rm -f test/src/common.o
+	rm -f *.log
 
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk

## psqlodbc 09.03.0300

=== test/Makefile ===
TESTS = connect stmthandles select commands multistmt getresult prepare \
	params notice arraybinding insertreturning dataatexecution \
	boolsaschar cvtnulldate alter quotes cursors positioned-update \
	catalogfunctions bindcol lfconversion cte deprecated error-rollback \
	diagnostic

TESTBINS = $(patsubst %,src/%-test, $(TESTS))
TESTSQLS = $(patsubst %,sql/%.sql, $(TESTS))

# Set by autoconf
LDFLAGS =  -L/usr/local/lib -L/usr/lib
CFLAGS = -g -O2
PG_CONFIG = /usr/bin/pg_config

REGRESS = sampletables $(TESTS)

all: $(TESTBINS) $(TESTSQLS)

installcheck: all

override CFLAGS += -Wno-pointer-sign

src/common.o: src/common.c

# For each test file, compile the .c file, and create a .sql file that
# when executed from psql, just runs the binary.
src/%-test sql/%.sql: src/%-test.c src/common.o
	$(CC) $(CFLAGS) $(LDFLAGS) src/$*-test.c src/common.o -o src/$*-test -lodbc
	echo "\! ./src/$*-test" > sql/$*.sql

EXTRA_CLEAN = $(TESTBINS) $(TESTSQLS) src/common.o

REGRESS_OPTS = --launcher=./launcher

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
psqlodbc (1:09.03.0300-1) unstable; urgency=medium

  * New upstream release.
  * Patch bogus expected output of test catalogfunctions.
  * Set team as maintainer.
  * Bump to dh 9.
  * Use /usr/share/cdbs/1/rules/autoreconf.mk. Closes: #744650.

 -- Christoph Berg <myon@debian.org>  Thu, 29 May 2014 23:17:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: psqlodbc
 Priority: optional
 Section: database
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
-Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: cdbs (>= 0.4.93), debhelper (>= 8.1.3), libpq-dev, unixodbc-dev (>= 2.2.11-13),
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Uploaders: Christoph Berg <myon@debian.org>, Steve Langasek <vorlon@debian.org>
+Build-Depends: cdbs (>= 0.4.93), debhelper (>= 9), dh-autoreconf,
+ libpq-dev, unixodbc-dev (>= 2.2.11-13),
  postgresql, postgresql-common (>= 144~), postgresql-server-dev-all
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://psqlodbc.projects.postgresql.org/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/psqlodbc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/psqlodbc.git

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS = --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/odbc --with-unixodbc

=== debian/tests/control ===
Depends: @, postgresql, unixodbc, iodbc
Restrictions: needs-root
Tests: isql

=== debian/watch ===
version=3
ftp://ftp.postgresql.org/pub/odbc/versions/src/psqlodbc-(.*).tar.gz

## psqlodbc 09.05.0400

=== debian/changelog ===
psqlodbc (1:09.05.0400-2) unstable; urgency=medium

  * Bump test dependencies to PostgreSQL 9.6.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Jan 2017 22:09:00 +0100

psqlodbc (1:09.05.0400-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Aug 2016 18:23:48 +0200

psqlodbc (1:09.05.0100-3) unstable; urgency=medium

  * Add patch by Hiroshi Inoue to fix test failures on sparc64.
  * connection.c: Remove __DATE__ to make build reproducible again.

 -- Christoph Berg <myon@debian.org>  Wed, 06 Apr 2016 20:34:30 +0200

psqlodbc (1:09.05.0100-2) unstable; urgency=medium

  * Add test/expected/result-conversions_1.out to catch big-endian int4 and
    text representations.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 05 Apr 2016 10:48:35 +0200

psqlodbc (1:09.05.0100-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream release, new project website. Closes: #775980.
  * Add missing postgresql-server-dev-all test dependency so that the test has
    pg_buildext.

  [ Christoph Berg ]
  * Convert packaging to dh.
  * Use pg_buildext to keep test dependencies updated. (As an artifact we have
    debian/control.in now, but it doesn't differ from debian/control.)
  * deprecated_1.out: Add alternative test output file for older distributions.

 -- Christoph Berg <myon@debian.org>  Fri, 18 Mar 2016 18:46:25 +0100

psqlodbc (1:09.03.0400-1) experimental; urgency=medium

  * New upstream release.
  * Switch watch file to http.
  * Test all supported PostgreSQL versions at build/install time, not only the
    most recent one.
  * Use Makefile in build/W/test for running testsuite.
  * Bump S-V.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Nov 2014 22:45:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Section: database
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: cdbs (>= 0.4.93), debhelper (>= 9), dh-autoreconf,
+Build-Depends: debhelper (>= 9),
  libpq-dev, unixodbc-dev (>= 2.2.11-13),
  postgresql, postgresql-common (>= 144~), postgresql-server-dev-all
-Standards-Version: 3.9.5
-Homepage: http://psqlodbc.projects.postgresql.org/
-Vcs-Git: git://anonscm.debian.org/pkg-postgresql/psqlodbc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/psqlodbc.git
+Standards-Version: 3.9.8
+Homepage: https://odbc.postgresql.org/
+Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/psqlodbc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/psqlodbc.git
 XS-Testsuite: autopkgtest
 
 Package: odbc-postgresql
@@ -40,17 +40,3 @@
  development package unixodbc-dev, and possibly additional packages for
  language bindings.  This driver package is only used at run time.
 
-Package: odbc-postgresql-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, odbc-postgresql
-Description: ODBC driver for PostgreSQL - debug symbols
- odbc-postgresql provides a driver that allows ODBC-enabled applications
- to access PostgreSQL databases.  ODBC is an abstraction layer that
- allows applications written for that layer to access databases in a
- manner that is relatively independent of the particular database
- management system.
- .
- This package contains the debug symbols for odbc-postgresql.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_configure:
	# build ANSI driver
	dh_auto_configure -- ODBC_CONFIG=$(CURDIR)/debian/odbc_config_dummy --libdir=/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/odbc --disable-unicode
	dh_auto_build
	dh_auto_install --destdir=debian/psqlodbca
	dh_auto_clean
	# build Unicode driver
	dh_auto_configure -- ODBC_CONFIG=$(CURDIR)/debian/odbc_config_dummy --libdir=/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/odbc

override_dh_auto_test:
	if ! LC_ALL=C LD_LIBRARY_PATH=../.libs pg_virtualenv $(MAKE) -C test installcheck; then \
		cat test/regression.diffs ; \
		exit 1 ; \
	fi

override_dh_install:
	dh_install
	rm debian/odbc-postgresql/usr/lib/*/odbc/psqlodbc*.la

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C test clean || :

=== debian/tests/control ===
Depends: @, postgresql-9.6, postgresql-server-dev-all, unixodbc, iodbc
Restrictions: needs-root
Tests: isql

## psqlodbc 09.06.0410

=== debian/changelog ===
psqlodbc (1:09.06.0410-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Testsuite: Also show logfiles from /tmp.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 28 Jul 2017 10:46:02 +0200

psqlodbc (1:09.06.0310-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 15 May 2017 09:42:43 +0200

psqlodbc (1:09.06.0200-1) experimental; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Fri, 24 Mar 2017 22:31:20 +0100

## psqlodbc 10.00.0000

=== debian/changelog ===
psqlodbc (1:10.00.0000-1) unstable; urgency=medium

  * New upstream release with PostgreSQL 10 support.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Oct 2017 20:24:03 +0200

psqlodbc (1:09.06.0500-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2017 19:54:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
  libpq-dev, unixodbc-dev (>= 2.2.11-13),
  postgresql, postgresql-common (>= 144~), postgresql-server-dev-all
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://odbc.postgresql.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/psqlodbc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/psqlodbc.git

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,4 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	$(MAKE) -C test clean || :
+	rm -rf test/exe/ test/reset-db test/runsuite test/results test/odbc*.ini test/regression.diffs

=== debian/tests/control ===
Depends: @, postgresql-10, postgresql-server-dev-all, unixodbc, iodbc
Restrictions: needs-root
Tests: isql

## psqlodbc 10.01.0000

=== test/Makefile ===
# The list of test is stored in a separate file, so that it can be shared with
# the Windows makefile, win.mak.

origdir = .

vpath %.c $(origdir)
vpath %.sh $(origdir)

include $(origdir)/tests

# The included file defined variable TESTBINS, which is a list of program
# names in format exe/<testname>-test. Extract the base test names from it.
TESTNAMES = $(patsubst exe/%-test,%, $(TESTBINS))

# Set by autoconf
LDFLAGS =  -L/usr/local/lib -L/usr/lib
CFLAGS = -g -O2 -Wall
CPPFLAGS =  -I/usr/local/include -I/usr/include -I/usr/include/postgresql/internal
ODBC_CONFIG = /usr/local/bin/odbc_config
PROVE = prove

LIBODBC := $(shell $(ODBC_CONFIG) --libs)

all: $(TESTBINS) runsuite reset-db

odbc.ini:
	$(origdir)/odbcini-gen.sh $(odbc_ini_extras)

installcheck: all odbc.ini reset-db runsuite
	rm -f regression.diffs
	@if test ! -d results; then mkdir -p results; fi
	ODBCSYSINI=. ODBCINSTINI=./odbcinst.ini ODBCINI=./odbc.ini ./reset-db < $(origdir)/sampletables.sql
# If the perl 'prove' test running utility is available, use it. It produces
# nice output. But otherwise just run the plain suite, it's usable as is too.
ifdef PROVE
	prove -e ./runsuite $(TESTNAMES) :: --inputdir=$(origdir)
else
	./runsuite $(TESTNAMES) --inputdir=$(origdir)
endif

override CFLAGS += -Wno-pointer-sign $(CFLAGS_ADD)

runsuite: runsuite.c

reset-db: reset-db.c exe/common.o
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $^ -o $@ $(LIBODBC)

exe/common.o: src/common.c
	@if test ! -d exe; then mkdir -p exe; fi
	$(COMPILE.c) -c $< -o $@

$(origdir)/src/wchar-char-test.c: $(wildcard $(origdir)/src/wchar-char-test-*.c)
	@touch -c $@

# For each test, compile the .c file.
exe/%-test: src/%-test.c exe/common.o
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $^ -o exe/$*-test $(LIBODBC)

# This target runs the regression tests with all combinations of
# UseDeclareFetch, UseServerSidePrepare and Protocol options.
installcheck-all:
	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=0 UseServerSidePrepare=1 Protocol=7.4-2"
	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=0 UseServerSidePrepare=1 Protocol=7.4-1"
	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=0 UseServerSidePrepare=1 Protocol=7.4-0"

	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=0 UseServerSidePrepare=0 Protocol=7.4-2"
	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=0 UseServerSidePrepare=0 Protocol=7.4-1"
	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=0 UseServerSidePrepare=0 Protocol=7.4-0"

	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=1 UseServerSidePrepare=1 Protocol=7.4-2"
	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=1 UseServerSidePrepare=1 Protocol=7.4-1"
	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=1 UseServerSidePrepare=1 Protocol=7.4-0"

	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=1 UseServerSidePrepare=0 Protocol=7.4-2"
	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=1 UseServerSidePrepare=0 Protocol=7.4-1"
	rm -f odbc.ini odbcinst.ini
	$(MAKE) installcheck odbc_ini_extras="UseDeclareFetch=1 UseServerSidePrepare=0 Protocol=7.4-0"

clean:
	rm -f $(TESTBINS) exe/*.o runsuite reset-db
	rm -f results/*

=== debian/changelog ===
psqlodbc (1:10.01.0000-1) unstable; urgency=medium

  * New upstream release.
  * Test-Depend on postgresql-all, and remove {,tests}/control.in.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Sun, 31 Dec 2017 20:05:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 9),
  libpq-dev, unixodbc-dev (>= 2.2.11-13),
  postgresql, postgresql-common (>= 144~), postgresql-server-dev-all
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://odbc.postgresql.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/psqlodbc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/psqlodbc.git
+Vcs-Git: https://salsa.debian.org/postgresql/psqlodbc.git
+Vcs-Browser: https://salsa.debian.org/postgresql/psqlodbc
 XS-Testsuite: autopkgtest
 
 Package: odbc-postgresql

## psqlodbc 10.03.0000

=== debian/changelog ===
psqlodbc (1:10.03.0000-1) unstable; urgency=medium

  * New upstream release.
  * Skip testsuite on hurd-i386, it doesn't have a working PostgreSQL server.

 -- Christoph Berg <myon@debian.org>  Sat, 19 May 2018 16:04:20 +0200

psqlodbc (1:10.02.0000-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sat, 07 Apr 2018 21:12:14 +0200

## psqlodbc 11.00.0000

=== debian/changelog ===
psqlodbc (1:11.00.0000-1) unstable; urgency=medium

  * New upstream release.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sun, 18 Nov 2018 11:10:47 +0100

=== debian/tests/control ===
Depends: @, postgresql-all, postgresql-server-dev-all, unixodbc, iodbc
Restrictions: needs-root
Tests: isql

## psqlodbc 11.01.0000

=== debian/changelog ===
psqlodbc (1:11.01.0000-1) experimental; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Fri, 31 May 2019 11:05:13 +0200

## psqlodbc 12.01.0000

=== debian/changelog ===
psqlodbc (1:12.01.0000-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Jan 2020 15:41:36 +0100

psqlodbc (1:12.00.0000-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Oct 2019 12:34:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: psqlodbc
 Priority: optional
 Section: database
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>, Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper (>= 9),
  libpq-dev, unixodbc-dev (>= 2.2.11-13),

## psqlodbc 12.02.0000

=== debian/changelog ===
psqlodbc (1:12.02.0000-2) unstable; urgency=medium

  * Fix build failure with gcc 10, thanks Paul Wise! (Closes: #957714)
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jul 2020 19:40:19 +0200

psqlodbc (1:12.02.0000-1) unstable; urgency=medium

  * New upstream version.
  * Remove Suggests: unixodbc-bin, doesn't exist anymore.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Jan 2020 16:16:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,28 @@
 Section: database
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 9),
- libpq-dev, unixodbc-dev (>= 2.2.11-13),
- postgresql, postgresql-common (>= 144~), postgresql-server-dev-all
-Standards-Version: 4.1.2
+Build-Depends:
+ debhelper-compat (= 13),
+ libpq-dev,
+ postgresql,
+ postgresql-common (>= 144~),
+ postgresql-server-dev-all,
+ unixodbc-dev (>= 2.2.11-13),
+Standards-Version: 4.5.0
 Homepage: https://odbc.postgresql.org/
 Vcs-Git: https://salsa.debian.org/postgresql/psqlodbc.git
 Vcs-Browser: https://salsa.debian.org/postgresql/psqlodbc
-XS-Testsuite: autopkgtest
 
 Package: odbc-postgresql
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Suggests: unixodbc-bin
 Enhances: unixodbc
-Breaks: unixodbc (<< 2.2.14p2-3), odbcinst1debian2 (<< 2.2.14p2-3),
- libiodbc2 (<= 3.52.7-2)
+Breaks:
+ libiodbc2 (<= 3.52.7-2),
+ odbcinst1debian2 (<< 2.2.14p2-3),
+ unixodbc (<< 2.2.14p2-3),
 Description: ODBC driver for PostgreSQL
  This package provides a driver that allows ODBC-enabled applications to
  access PostgreSQL databases.  ODBC is an abstraction layer that allows
@@ -39,4 +43,3 @@
  ODBC abstraction layer, you need to install the unixODBC driver manager
  development package unixodbc-dev, and possibly additional packages for
  language bindings.  This driver package is only used at run time.
-

## psqlodbc 13.00.0000

=== debian/changelog ===
psqlodbc (1:13.00.0000-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Nov 2020 09:37:59 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  postgresql-server-dev-all,
  unixodbc-dev (>= 2.2.11-13),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://odbc.postgresql.org/
 Vcs-Git: https://salsa.debian.org/postgresql/psqlodbc.git
 Vcs-Browser: https://salsa.debian.org/postgresql/psqlodbc

=== debian/tests/control ===
Depends: iodbc, postgresql-all, postgresql-server-dev-all, unixodbc, @
Restrictions: needs-root
Tests: isql

## psqlodbc 13.02.0000~20220624.1259-3~1.git07fdd77.pgdg18.04+1

=== debian/changelog ===
psqlodbc (1:13.02.0000~20220624.1259-3~1.git07fdd77.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 25 Nov 2021 12:51:18 +0100

psqlodbc (1:13.02.0000-3) UNRELEASED; urgency=medium

  * Retire vorlon from Uploaders.

 -- Christoph Berg <myon@debian.org>  Thu, 25 Nov 2021 12:51:18 +0100

psqlodbc (1:13.02.0000-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Depend on odbcinst. (Closes: #1000512)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on postgresql-common and
      unixodbc-dev.
    + odbc-postgresql: Drop versioned constraint on libiodbc2, odbcinst1debian2
      and unixodbc in Breaks.

 -- Christoph Berg <myon@debian.org>  Thu, 25 Nov 2021 12:02:30 +0100

psqlodbc (1:13.02.0000-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Sep 2021 12:09:13 +0200

psqlodbc (1:13.01.0000-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Jun 2021 13:40:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Priority: optional
 Section: database
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>, Steve Langasek <vorlon@debian.org>
+Uploaders:
+ Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11),
  libpq-dev,
  postgresql,
- postgresql-common (>= 144~),
+ postgresql-common,
  postgresql-server-dev-all,
- unixodbc-dev (>= 2.2.11-13),
+ unixodbc-dev,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://odbc.postgresql.org/
@@ -19,13 +20,14 @@
 Package: odbc-postgresql
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Enhances: unixodbc
-Breaks:
- libiodbc2 (<= 3.52.7-2),
- odbcinst1debian2 (<< 2.2.14p2-3),
- unixodbc (<< 2.2.14p2-3),
+Depends:
+ odbcinst,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Enhances:
+ unixodbc,
 Description: ODBC driver for PostgreSQL
  This package provides a driver that allows ODBC-enabled applications to
  access PostgreSQL databases.  ODBC is an abstraction layer that allows

## psqlodbc 13.02.0000~20220624.1259-3~1.git07fdd77.pgdg21.10+1

=== debian/changelog ===
psqlodbc (1:13.02.0000~20220624.1259-3~1.git07fdd77.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 25 Nov 2021 12:51:18 +0100

## psqlodbc 13.02.0000~20220624.1259-3~1.git07fdd77.pgdg22.04+1

=== debian/changelog ===
psqlodbc (1:13.02.0000~20220624.1259-3~1.git07fdd77.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 25 Nov 2021 12:51:18 +0100

## psqlodbc 13.02.0000~20220624.1259-3~1.git07fdd77.pgdg90+1

=== debian/changelog ===
psqlodbc (1:13.02.0000~20220624.1259-3~1.git07fdd77.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 25 Nov 2021 12:51:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 10),
  libpq-dev,
  postgresql,
  postgresql-common,

## psqlodbc 13.02.0000~20220624.1259-3~1.git07fdd77.pgdg100+1

=== debian/changelog ===
psqlodbc (1:13.02.0000~20220624.1259-3~1.git07fdd77.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 25 Nov 2021 12:51:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  libpq-dev,
  postgresql,
  postgresql-common,

## psqlodbc 13.02.0000~20220624.1259-3~1.git07fdd77.pgdg110+1

=== debian/changelog ===
psqlodbc (1:13.02.0000~20220624.1259-3~1.git07fdd77.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 25 Nov 2021 12:51:18 +0100

## psqlodbc 13.02.0000~20220624.1259-3~1.git07fdd77.pgdg120+1

=== debian/changelog ===
psqlodbc (1:13.02.0000~20220624.1259-3~1.git07fdd77.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 25 Nov 2021 12:51:18 +0100

## psqlodbc 13.02.0000~20220624.1259-3~1.git07fdd77.pgdg+1

=== debian/changelog ===
psqlodbc (1:13.02.0000~20220624.1259-3~1.git07fdd77.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 25 Nov 2021 12:51:18 +0100

## psqlodbc 13.02.0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
+ Steve Langasek <vorlon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libpq-dev,
  postgresql,
  postgresql-common,

=== debian/tests/control ===
Depends:
 iodbc,
 postgresql-all,
 postgresql-server-dev-all,
 unixodbc,
 @,
Restrictions: needs-root
Tests: isql

=== debian/watch ===
version=3
http://ftp.postgresql.org/pub/odbc/versions/src/psqlodbc-(.*).tar.gz

## psqlodbc 15.00.0000

=== debian/changelog ===
psqlodbc (1:15.00.0000-1) unstable; urgency=medium

  * New upstream version.
  * Drop iodbc test, gone from unstable.
  * Retire vorlon from Uploaders.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Aug 2023 17:31:43 +0200

## psqlodbc 16.00.0000

=== debian/changelog ===
psqlodbc (1:16.00.0000-1) unstable; urgency=medium

  * New upstream version 16.00.0000.
  * Fixes "bool" FTBFS. (Closes: #1052755)

 -- Christoph Berg <myon@debian.org>  Fri, 29 Sep 2023 15:57:38 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/postgresql-common/pgxs_debian_control.mk
 
 %:
 	dh $@
@@ -14,11 +12,14 @@
 	# build Unicode driver
 	dh_auto_configure -- ODBC_CONFIG=$(CURDIR)/debian/odbc_config_dummy --libdir=/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/odbc
 
+# hurd doesn't have a working PG server, skip tests
 override_dh_auto_test:
+ifneq ($(shell dpkg --print-architecture),hurd-i386)
 	if ! LC_ALL=C LD_LIBRARY_PATH=../.libs pg_virtualenv $(MAKE) -C test installcheck; then \
 		cat test/regression.diffs ; \
 		exit 1 ; \
 	fi
+endif
 
 override_dh_install:
 	dh_install

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Depends:
- iodbc,
  postgresql-all,
  postgresql-server-dev-all,
  unixodbc,

## psqlodbc 16.00.0005

=== debian/changelog ===
psqlodbc (1:16.00.0005-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 May 2024 20:59:27 +0200

psqlodbc (1:16.00.0005-1) unstable; urgency=medium

  * New upstream version 16.00.0005.
  * debian/watch: New upstream location on GitHub.

 -- Christoph Berg <myon@debian.org>  Tue, 28 May 2024 20:59:27 +0200

## psqlodbc 17.00.0004

=== debian/changelog ===
psqlodbc (1:17.00.0004-2) unstable; urgency=medium

  * Fix descrec to work correctly on big-endian archs.
  * Allow descrec test to pass in locale C.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Jun 2025 00:01:09 +0200

psqlodbc (1:17.00.0004-1) unstable; urgency=medium

  * New upstream version 17.00.0004.
  * Ignore descrec test altogether.

 -- Christoph Berg <myon@debian.org>  Thu, 27 Feb 2025 16:27:47 +0100

psqlodbc (1:17.00.0002-1) unstable; urgency=medium

  * New upstream version 17.00.0002.
  * Ignore output difference in descrec test.

 -- Christoph Berg <myon@debian.org>  Thu, 03 Oct 2024 15:37:39 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,11 @@
 	# build Unicode driver
 	dh_auto_configure -- ODBC_CONFIG=$(CURDIR)/debian/odbc_config_dummy --libdir=/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/odbc
 
-# hurd doesn't have a working PG server, skip tests
 override_dh_auto_test:
-ifneq ($(shell dpkg --print-architecture),hurd-i386)
 	if ! LC_ALL=C LD_LIBRARY_PATH=../.libs pg_virtualenv $(MAKE) -C test installcheck; then \
 		cat test/regression.diffs ; \
 		exit 1 ; \
 	fi
-endif
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=4
opts=uversionmangle=s/_/./g; \
https://github.com/postgresql-interfaces/psqlodbc/tags .*/REL-(.*).tar.gz
